# Dynamic QR Codes

## Create a new dynamic pix QRCode

> Creates a new dynamic pix QRCode

```json
{"openapi":"3.0.0","info":{"title":"Trio API","version":"0.1.0"},"servers":[{"url":"https://api.sandbox.trio.com.br","variables":{}},{"url":"https://api.qa.trio.com.br","variables":{}},{"url":"https://api.trio.com.br","variables":{}}],"paths":{"/banking/cashin/pix/qrcodes":{"post":{"callbacks":{},"description":"Creates a new dynamic pix QRCode","operationId":"TrioFoundationWeb.Banking.Cashin.DynamicBrcodeController.create","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DynamicQRCodeCreateParams"}}},"description":"Pix QRCode payload","required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DynamicQRCodeResponse"}}},"description":"Pix QRCode"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/401"}}},"description":"Unauthorized"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/500"}}},"description":"Internal server error"}},"summary":"Create a new dynamic pix QRCode","tags":["Dynamic QR Codes"]}}},"components":{"schemas":{"401":{"properties":{"error":{"properties":{"error_code":{"description":"Error code","type":"string"},"error_message":{"description":"Error message","type":"string"}},"type":"object"}},"title":"401","type":"object"},"500":{"properties":{"error":{"properties":{"error_code":{"description":"Error code","type":"string"},"error_message":{"description":"Error message","type":"string"}},"type":"object"}},"title":"500","type":"object"},"DynamicQRCodeCreateParams":{"description":"Body params to create a dynamic QRCode","properties":{"amount":{"description":"Amount value of the dynamic QRCode","type":"integer"},"counterparty":{"description":"Counterparty information","properties":{"bank_accounts":{"description":"Counterparty bank accounts","items":{"$ref":"#/components/schemas/DynamicQRCodeCounterpartyBankAccountCreateParams"},"type":"array"},"name":{"description":"Counterparty name","type":"string"},"tax_number":{"description":"Counterparty tax number","type":"string"}},"required":["name","tax_number"],"type":"object"},"description":{"description":"Description of the dynamic QRCode","type":"string"},"expiration_datetime":{"description":"Expiration datetime","format":"date-time","type":"string"},"external_id":{"description":"External ID of the dynamic QRCode","type":"string"},"options":{"description":"QRCode creation options","properties":{"allow_change_the_amount_on_payment":{"description":"Allow amount change","type":"boolean"},"show_qrcode_image":{"description":"Show qrcode image","type":"boolean"}},"required":["allow_change_the_amount_on_payment","show_qrcode_image"],"type":"object"},"virtual_account_id":{"description":"Virtual Account ID","type":"string"}},"required":["amount","options","virtual_account_id"],"title":"DynamicQRCodeCreateParams","type":"object"},"DynamicQRCodeCounterpartyBankAccountCreateParams":{"description":"Counterparty bank account related to a dynamic QRCode","properties":{"branch":{"description":"Counterparty bank account branch","type":"string"},"digit":{"description":"Counterparty bank account digit","type":"string"},"ispb":{"description":"Counterparty bank account ISPB","type":"string"},"number":{"description":"Counterparty bank account number","type":"string"},"type":{"description":"Counterparty bank account type","enum":["checking","savings","salary","payment"],"type":"string"}},"required":["ispb","branch","number","digit"],"title":"DynamicQRCodeCounterpartyBankAccountCreateParams","type":"object"},"DynamicQRCodeResponse":{"description":"Response schema for a single dynamic QRCode","properties":{"data":{"$ref":"#/components/schemas/DynamicQRCodeData"}},"title":"DynamicQRCodeResponse","type":"object"},"DynamicQRCodeData":{"description":"Response schema for a single dynamic QRCode","properties":{"allow_change_the_amount_on_payment":{"description":"Allow change amount?","type":"boolean"},"amount":{"description":"Amount value of the dynamic QRCode","properties":{"amount":{"description":"Amount integer","type":"integer"},"currency":{"description":"Amount currency string","type":"string"}},"type":"object"},"counterparty_bank_accounts":{"description":"Counterparty bank accounts","items":{"$ref":"#/components/schemas/DynamicQRCodeCounterpartyBankAccount"},"type":"array"},"counterparty_id":{"description":"Counterparty ID of the dynamic QRCode","format":"uuid","type":"string"},"description":{"description":"Description of the dynamic QRCode","type":"string"},"expiration_datetime":{"description":"Expiration Datetime","format":"date-time","type":"string"},"external_id":{"description":"External ID of the dynamic QRCode","type":"string"},"hash":{"description":"Hash of the dynamic QRCode","type":"string"},"id":{"description":"Unique identifier","format":"uuid","type":"string"},"image":{"description":"Dynamic QRCode image","type":"string"},"stages":{"description":"Dynamic QRCode stages","items":{"$ref":"#/components/schemas/QRCodeStagesList"},"type":"array"},"timestamp":{"description":"Dynamic QRCode timestamp","format":"date-time","type":"string"},"virtual_account_id":{"description":"Virtual account ID","format":"uuid","type":"string"}},"title":"DynamicQRCodeData","type":"object"},"DynamicQRCodeCounterpartyBankAccount":{"description":"Counterparty bank account related to a dynamic QRCode","properties":{"branch":{"description":"Counterparty bank account branch","type":"string"},"digit":{"description":"Counterparty bank account digit","type":"string"},"ispb":{"description":"Counterparty bank account ISPB","type":"string"},"number":{"description":"Counterparty bank account number","type":"string"},"type":{"description":"Counterparty bank account type","type":"string"}},"title":"DynamicQRCodeCounterpartyBankAccount","type":"object"},"QRCodeStagesList":{"description":"List of stages within a dynamic QRCode","items":{"$ref":"#/components/schemas/DynamicQRCodeStage"},"title":"QRCodeStagesList","type":"array"},"DynamicQRCodeStage":{"description":"Stage of a dynamic QRCode","properties":{"id":{"description":"Stage ID","format":"uuid","type":"string"},"timestamp":{"description":"Stage timestamp","format":"date-time","type":"string"},"type":{"description":"Stage type","enum":["created","confirmed","settled","refunded","reversed","failed"],"type":"string"}},"title":"DynamicQRCodeStage","type":"object"}}}}
```

## Get a specific dynamic QRCode

> Gets a specific dynamic QRCode

```json
{"openapi":"3.0.0","info":{"title":"Trio API","version":"0.1.0"},"servers":[{"url":"https://api.sandbox.trio.com.br","variables":{}},{"url":"https://api.qa.trio.com.br","variables":{}},{"url":"https://api.trio.com.br","variables":{}}],"paths":{"/banking/cashin/pix/qrcodes/{id}":{"get":{"callbacks":{},"description":"Gets a specific dynamic QRCode","operationId":"TrioFoundationWeb.Banking.Cashin.DynamicBrcodeController.show","parameters":[{"description":"QRCode ID","in":"path","name":"id","required":true,"schema":{"$ref":"#/components/schemas/UUID"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DynamicQRCodeResponse"}}},"description":"Dynamic"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/401"}}},"description":"Unauthorized"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JsonErrorResponse"}}},"description":"Unprocessable Entity"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/500"}}},"description":"Internal server error"}},"summary":"Get a specific dynamic QRCode","tags":["Dynamic QR Codes"]}}},"components":{"schemas":{"401":{"properties":{"error":{"properties":{"error_code":{"description":"Error code","type":"string"},"error_message":{"description":"Error message","type":"string"}},"type":"object"}},"title":"401","type":"object"},"500":{"properties":{"error":{"properties":{"error_code":{"description":"Error code","type":"string"},"error_message":{"description":"Error message","type":"string"}},"type":"object"}},"title":"500","type":"object"},"UUID":{"description":"Unique identifier","format":"uuid","title":"UUID","type":"string"},"DynamicQRCodeResponse":{"description":"Response schema for a single dynamic QRCode","properties":{"data":{"$ref":"#/components/schemas/DynamicQRCodeData"}},"title":"DynamicQRCodeResponse","type":"object"},"DynamicQRCodeData":{"description":"Response schema for a single dynamic QRCode","properties":{"allow_change_the_amount_on_payment":{"description":"Allow change amount?","type":"boolean"},"amount":{"description":"Amount value of the dynamic QRCode","properties":{"amount":{"description":"Amount integer","type":"integer"},"currency":{"description":"Amount currency string","type":"string"}},"type":"object"},"counterparty_bank_accounts":{"description":"Counterparty bank accounts","items":{"$ref":"#/components/schemas/DynamicQRCodeCounterpartyBankAccount"},"type":"array"},"counterparty_id":{"description":"Counterparty ID of the dynamic QRCode","format":"uuid","type":"string"},"description":{"description":"Description of the dynamic QRCode","type":"string"},"expiration_datetime":{"description":"Expiration Datetime","format":"date-time","type":"string"},"external_id":{"description":"External ID of the dynamic QRCode","type":"string"},"hash":{"description":"Hash of the dynamic QRCode","type":"string"},"id":{"description":"Unique identifier","format":"uuid","type":"string"},"image":{"description":"Dynamic QRCode image","type":"string"},"stages":{"description":"Dynamic QRCode stages","items":{"$ref":"#/components/schemas/QRCodeStagesList"},"type":"array"},"timestamp":{"description":"Dynamic QRCode timestamp","format":"date-time","type":"string"},"virtual_account_id":{"description":"Virtual account ID","format":"uuid","type":"string"}},"title":"DynamicQRCodeData","type":"object"},"DynamicQRCodeCounterpartyBankAccount":{"description":"Counterparty bank account related to a dynamic QRCode","properties":{"branch":{"description":"Counterparty bank account branch","type":"string"},"digit":{"description":"Counterparty bank account digit","type":"string"},"ispb":{"description":"Counterparty bank account ISPB","type":"string"},"number":{"description":"Counterparty bank account number","type":"string"},"type":{"description":"Counterparty bank account type","type":"string"}},"title":"DynamicQRCodeCounterpartyBankAccount","type":"object"},"QRCodeStagesList":{"description":"List of stages within a dynamic QRCode","items":{"$ref":"#/components/schemas/DynamicQRCodeStage"},"title":"QRCodeStagesList","type":"array"},"DynamicQRCodeStage":{"description":"Stage of a dynamic QRCode","properties":{"id":{"description":"Stage ID","format":"uuid","type":"string"},"timestamp":{"description":"Stage timestamp","format":"date-time","type":"string"},"type":{"description":"Stage type","enum":["created","confirmed","settled","refunded","reversed","failed"],"type":"string"}},"title":"DynamicQRCodeStage","type":"object"},"JsonErrorResponse":{"properties":{"errors":{"items":{"properties":{"detail":{"type":"string"},"source":{"properties":{"pointer":{"type":"string"}},"required":["pointer"],"type":"object"},"title":{"type":"string"}},"required":["title","source","detail"],"type":"object"},"type":"array"}},"required":["errors"],"title":"JsonErrorResponse","type":"object"}}}}
```

## Update a dynamic pix QRCode

> Updates a dynamic pix QRCode

```json
{"openapi":"3.0.0","info":{"title":"Trio API","version":"0.1.0"},"servers":[{"url":"https://api.sandbox.trio.com.br","variables":{}},{"url":"https://api.qa.trio.com.br","variables":{}},{"url":"https://api.trio.com.br","variables":{}}],"paths":{"/banking/cashin/pix/qrcodes/{id}":{"put":{"callbacks":{},"description":"Updates a dynamic pix QRCode","operationId":"TrioFoundationWeb.Banking.Cashin.DynamicBrcodeController.update","parameters":[{"description":"BrCode ID","in":"path","name":"id","required":true,"schema":{"$ref":"#/components/schemas/UUID"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DynamicQRCodeUpdateParams"}}},"description":"The dynamic brcode attributes","required":true},"responses":{"204":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTP204NoContent"}}},"description":"Update"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/401"}}},"description":"Unauthorized"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/500"}}},"description":"Internal server error"}},"summary":"Update a dynamic pix QRCode","tags":["Dynamic QR Codes"]}}},"components":{"schemas":{"401":{"properties":{"error":{"properties":{"error_code":{"description":"Error code","type":"string"},"error_message":{"description":"Error message","type":"string"}},"type":"object"}},"title":"401","type":"object"},"500":{"properties":{"error":{"properties":{"error_code":{"description":"Error code","type":"string"},"error_message":{"description":"Error message","type":"string"}},"type":"object"}},"title":"500","type":"object"},"UUID":{"description":"Unique identifier","format":"uuid","title":"UUID","type":"string"},"DynamicQRCodeUpdateParams":{"description":"Body params to update a dynamic QRCode","properties":{"amount":{"description":"Amount value of the dynamic QRCode","nullable":true,"type":"integer"},"expiration_datetime":{"description":"Expiration datetime in ISO8601","format":"date-time","nullable":true,"type":"string"}},"title":"DynamicQRCodeUpdateParams","type":"object"},"HTTP204NoContent":{"format":"string","title":"HTTP204NoContent","type":"string"}}}}
```

## Get a QRCode dynamic hash

> Gets a dynamic hash

```json
{"openapi":"3.0.0","info":{"title":"Trio API","version":"0.1.0"},"servers":[{"url":"https://api.sandbox.trio.com.br","variables":{}},{"url":"https://api.qa.trio.com.br","variables":{}},{"url":"https://api.trio.com.br","variables":{}}],"paths":{"/banking/cashin/pix/qrcodes/{id}/hash":{"get":{"callbacks":{},"description":"Gets a dynamic hash","operationId":"TrioFoundationWeb.Banking.Cashin.DynamicBrcodeController.get_hash","parameters":[{"description":"Dynamic QRCode ID","in":"path","name":"id","required":true,"schema":{"$ref":"#/components/schemas/UUID"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DynamicQRCodeHashResponse"}}},"description":"Hash"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/401"}}},"description":"Unauthorized"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JsonErrorResponse"}}},"description":"Unprocessable Entity"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/500"}}},"description":"Internal server error"}},"summary":"Get a QRCode dynamic hash","tags":["Dynamic QR Codes"]}}},"components":{"schemas":{"401":{"properties":{"error":{"properties":{"error_code":{"description":"Error code","type":"string"},"error_message":{"description":"Error message","type":"string"}},"type":"object"}},"title":"401","type":"object"},"500":{"properties":{"error":{"properties":{"error_code":{"description":"Error code","type":"string"},"error_message":{"description":"Error message","type":"string"}},"type":"object"}},"title":"500","type":"object"},"UUID":{"description":"Unique identifier","format":"uuid","title":"UUID","type":"string"},"DynamicQRCodeHashResponse":{"description":"Hash of a dynamic QRcode","properties":{"data":{"properties":{"hash":{"description":"QRCode hash","type":"string"}},"type":"object"}},"title":"DynamicQRCodeHashResponse","type":"object"},"JsonErrorResponse":{"properties":{"errors":{"items":{"properties":{"detail":{"type":"string"},"source":{"properties":{"pointer":{"type":"string"}},"required":["pointer"],"type":"object"},"title":{"type":"string"}},"required":["title","source","detail"],"type":"object"},"type":"array"}},"required":["errors"],"title":"JsonErrorResponse","type":"object"}}}}
```

## Get dynamic pix QRCode image

> Gets a dynamic pix QRCode image

```json
{"openapi":"3.0.0","info":{"title":"Trio API","version":"0.1.0"},"servers":[{"url":"https://api.sandbox.trio.com.br","variables":{}},{"url":"https://api.qa.trio.com.br","variables":{}},{"url":"https://api.trio.com.br","variables":{}}],"paths":{"/banking/cashin/pix/qrcodes/{id}/image":{"get":{"callbacks":{},"description":"Gets a dynamic pix QRCode image","operationId":"TrioFoundationWeb.Banking.Cashin.DynamicBrcodeController.get_image","parameters":[{"description":"Dynamic Pix QRCode ID","in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DynamicQRCodeImageResponse"}}},"description":"Image"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/401"}}},"description":"Unauthorized"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JsonErrorResponse"}}},"description":"Unprocessable Entity"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/500"}}},"description":"Internal server error"}},"summary":"Get dynamic pix QRCode image","tags":["Dynamic QR Codes"]}}},"components":{"schemas":{"401":{"properties":{"error":{"properties":{"error_code":{"description":"Error code","type":"string"},"error_message":{"description":"Error message","type":"string"}},"type":"object"}},"title":"401","type":"object"},"500":{"properties":{"error":{"properties":{"error_code":{"description":"Error code","type":"string"},"error_message":{"description":"Error message","type":"string"}},"type":"object"}},"title":"500","type":"object"},"DynamicQRCodeImageResponse":{"description":"Image of a dynamic pix QRcode","properties":{"data":{"properties":{"image":{"description":"QRCode image base64","type":"string"}},"type":"object"}},"title":"DynamicQRCodeImageResponse","type":"object"},"JsonErrorResponse":{"properties":{"errors":{"items":{"properties":{"detail":{"type":"string"},"source":{"properties":{"pointer":{"type":"string"}},"required":["pointer"],"type":"object"},"title":{"type":"string"}},"required":["title","source","detail"],"type":"object"},"type":"array"}},"required":["errors"],"title":"JsonErrorResponse","type":"object"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trio.com.br/api_reference/banking-api/collecting/dynamic-qr-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
